<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="windowActionModeOverlay">true</item>
        <item name="android:actionModeBackground">@color/blue_grey_600</item>

     <!--   <item name="android:homeAsUpIndicator">@style/ToolbarColoredBackArrow</item>
        <item name="colorControlNormal">@color/mdtp_white</item>-->
    </style>

    <!-- your custom style -->
    <style name="hacksmileCustomHomeButton" parent="@style/Widget.AppCompat.DrawerArrowToggle">
        <item name="spinBars">true</item>
        <item name="color">@android:color/white</item>
    </style>



    <style name="ToolbarColoredBackArrow" parent="AppTheme">
        <item name="android:textColorSecondary">@color/mdtp_white</item>
    </style>

    <style name="DialogAnimation2">
        <item name="android:windowEnterAnimation">@anim/abc_slide_in_bottom</item>
        <item name="android:windowExitAnimation">@anim/abc_slide_out_top</item>
    </style>

    <style name="DialogAnimation3">
        <item name="android:windowEnterAnimation">@anim/left_in</item>
        <item name="android:windowExitAnimation">@anim/left_out</item>
    </style>


    <style name="TextLabel" parent="AppTheme">
        <!-- Hint color and label color in FALSE state -->
        <item name="android:textColorHint">@android:color/black</item>
        <!-- Label color in TRUE state and bar color FALSE and TRUE State -->
        <item name="colorAccent">@android:color/black</item>
        <item name="colorControlNormal">@android:color/black</item>
        <item name="colorControlActivated">@color/colorPrimary</item>
    </style>

    <style name="AppTheme.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />

    <style name="AppTheme.PopupOverlay" parent="ThemeOverlay.AppCompat.Light" />

    <style name="Button.Primary" parent="@style/Widget.AppCompat.Button.Colored">
        <item name="colorButtonNormal">@color/colorPrimary</item>
        <item name="android:textColor">@android:color/white</item>
    </style>

    <style name="Button.Accent" parent="@style/Widget.AppCompat.Button.Colored">
        <item name="colorButtonNormal">@color/colorAccent</item>
        <item name="android:textColor">@android:color/white</item>
    </style>

    <style name="Button.Green" parent="@style/Widget.AppCompat.Button.Colored">
        <item name="colorButtonNormal">@color/light_green_500</item>
        <item name="android:textColor">@android:color/white</item>
    </style>

    <style name="Button.White" parent="@style/Widget.AppCompat.Button.Colored">
        <item name="colorButtonNormal">@android:color/white</item>
        <item name="android:textColor">@color/grey_60</item>
    </style>

    <style name="Button.Primary.Borderless" parent="@style/Widget.AppCompat.Button.Borderless.Colored">
        <item name="android:textColor">@color/colorPrimary</item>
    </style>

    <style name="Button.Accent.Borderless" parent="@style/Widget.AppCompat.Button.Borderless.Colored">
        <item name="android:textColor">@color/colorAccent</item>
    </style>

    <style name="Button.Accent.Borderless.WhiteText" parent="@style/Widget.AppCompat.Button.Borderless.Colored">
        <item name="android:textColor">@android:color/white</item>
    </style>

    <style name="Button.White.Primary" parent="@style/Widget.AppCompat.Button.Colored">
        <item name="colorButtonNormal">@android:color/white</item>
        <item name="android:textColor">@color/colorPrimary</item>
    </style>

    <style name="Button.White.TextDark" parent="@style/Widget.AppCompat.Button.Colored">
        <item name="colorButtonNormal">@android:color/white</item>
        <item name="android:textColor">@android:color/black</item>
    </style>

    <style name="Button.White.Accent" parent="@style/Widget.AppCompat.Button.Colored">
        <item name="colorButtonNormal">@android:color/white</item>
        <item name="android:textColor">@color/colorAccent</item>
    </style>

    <!--style for ripple library-->
    <style name="RippleStyleWhite">
        <item name="mrl_rippleOverlay">true</item>
        <item name="mrl_rippleColor">#80FFFFFF</item>
        <item name="mrl_rippleHover">true</item>
        <item name="mrl_rippleAlpha">0.2</item>
    </style>

    <style name="RippleStyleBlack" parent="RippleStyleWhite">
        <item name="mrl_rippleColor">#8096989A</item>
    </style>

    <style name="RippleStyleDark" parent="RippleStyleWhite">
        <item name="mrl_rippleColor">#80000000</item>
    </style>

    <!--Theme for date picker dialog-->
    <style name="DatePickerThemeLight" parent="Theme.AppCompat.Light.Dialog.Alert">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorPrimary</item>
    </style>

    <!--Theme for time picker dialog-->
    <style name="TimePickerThemeLight" parent="Theme.AppCompat.Light.Dialog.Alert">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorPrimary</item>
    </style>

    <style name="Yellow.Small.AppCompatRatingBar" parent="Base.Widget.AppCompat.RatingBar.Small">
        <item name="colorControlNormal">@color/grey_60</item>
        <item name="colorControlActivated">@color/yellow_600</item>
    </style>

    <style name="Yellow.Small.AppCompatRatingBar.White" parent="Base.Widget.AppCompat.RatingBar.Small">
        <item name="colorControlNormal">@color/grey_20</item>
        <item name="colorControlActivated">@color/yellow_600</item>
    </style>

    <style name="Yellow.Very.Small.AppCompatRatingBar" parent="@style/Yellow.Small.AppCompatRatingBar">
        <item name="android:minHeight">8dp</item>
        <item name="android:maxHeight">8dp</item>
    </style>

    <style name="Yellow.AppCompatRatingBar" parent="Base.Widget.AppCompat.RatingBar.Indicator">
        <item name="colorControlNormal">@color/grey_60</item>
        <item name="colorControlActivated">@color/yellow_600</item>
    </style>

    <style name="CustomTabLayout" parent="Widget.Design.TabLayout">
        <item name="tabIndicatorColor">@android:color/white</item>
        <item name="tabIndicatorHeight">3dp</item>
        <item name="tabBackground">?attr/selectableItemBackground</item>
        <item name="tabTextAppearance">@style/CustomTabTextAppearance</item>
        <item name="tabSelectedTextColor">@android:color/white</item>
    </style>

    <style name="CustomTabTextAppearance" parent="TextAppearance.Design.Tab">
        <item name="android:textColor">@color/grey_10</item>
        <item name="android:textStyle">bold</item>
        <item name="textAllCaps">true</item>
    </style>

    <style name="TextAppearance.Subhead.Bold" parent="@style/TextAppearance.AppCompat.Subhead">
        <item name="android:textStyle">bold</item>
    </style>

    <style name="TextAppearance.Medium.Bold" parent="@style/TextAppearance.AppCompat.Medium">
        <item name="android:textStyle">bold</item>
    </style>

    <style name="Drawer.Custom.Dark" parent="@style/ThemeOverlay.AppCompat.Light">
        <item name="colorControlHighlight">#26000000</item>
        <item name="listPreferredItemHeightSmall">60dp</item>
    </style>

    <style name="Toolbar.Light" parent="@style/AppTheme">
        <item name="colorControlNormal">@color/grey_60</item>
        <item name="android:textColorPrimary">@color/grey_60</item>
    </style>

    <!-- Base application theme. -->
    <style name="EditText.Yellow" parent="@style/AppTheme">
        <item name="colorControlNormal">@color/grey_5</item>
        <item name="colorControlActivated">@color/amber_500</item>
        <item name="colorControlHighlight">@color/amber_500</item>
    </style>

    <style name="EditText.White" parent="@style/AppTheme">
        <item name="colorControlActivated">@android:color/white</item>
        <item name="colorControlHighlight">@android:color/white</item>
        <item name="colorControlNormal">@color/grey_10</item>
    </style>

    <style name="EditText.White.Hint" parent="@style/EditText.White">
        <item name="colorAccent">@android:color/white</item>
        <item name="android:textColorHint">@color/grey_10</item>
    </style>

    <style name="EditText.Grey" parent="@style/AppTheme">
        <item name="colorControlActivated">@color/grey_60</item>
        <item name="colorControlHighlight">@color/grey_60</item>
        <item name="colorControlNormal">@color/grey_40</item>
    </style>

    <style name="EditText.GreySoft" parent="@style/AppTheme">
        <item name="colorControlActivated">@color/grey_40</item>
        <item name="colorControlHighlight">@color/grey_40</item>
        <item name="colorControlNormal">@color/grey_20</item>
    </style>

    <style name="EditText.Grey.Hint" parent="@style/EditText.Grey">
        <item name="colorAccent">@color/grey_60</item>
    </style>

    <style name="EditText.Green" parent="@style/AppTheme">
        <item name="colorControlActivated">@color/green_500</item>
        <item name="colorControlHighlight">@color/green_500</item>
        <item name="colorControlNormal">@color/green_400</item>
    </style>

    <style name="CustomTabBottomSheet" parent="Widget.Design.TabLayout">
        <item name="tabIndicatorColor">@android:color/transparent</item>
        <item name="tabIndicatorHeight">4dp</item>
        <item name="tabPaddingStart">12dp</item>
        <item name="tabPaddingEnd">12dp</item>
        <item name="tabBackground">?attr/selectableItemBackground</item>
        <item name="tabSelectedTextColor">?android:textColorPrimary</item>
    </style>

    <style name="ProgressBar.White" parent="@style/AppTheme">
        <item name="colorPrimary">@android:color/white</item>
        <item name="colorAccent">@android:color/white</item>
    </style>

    <style name="Checkbox.Blue" parent="@style/AppTheme">
        <item name="colorPrimary">@color/blue_600</item>
        <item name="colorAccent">@color/blue_600</item>
        <item name="colorControlActivated">@color/blue_600</item>
        <item name="colorControlHighlight">@color/blue_600</item>
        <item name="colorControlNormal">@color/grey_40</item>
    </style>

    <style name="TitleStyles" parent="AppTheme">
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_width">wrap_content</item>
        <item name="android:fontFamily">@font/verdana</item>
        <item name="android:textColor">@color/md_white_1000</item>
        <item name="android:textAppearance">@android:style/TextAppearance.DeviceDefault.Medium</item>
    </style>

    <style name="ProgressBarStyle" parent="@android:style/Widget.ProgressBar.Horizontal">
        <item name="android:layout_width">fill_parent</item>
        <item name="android:layout_height">10dip</item>
        <item name="android:max">100</item>
        <item name="android:layout_marginLeft">30dp</item>
        <item name="android:layout_marginRight">30dp</item>
        <item name="android:layout_marginBottom">30dp</item>
        <item name="android:progressDrawable">@drawable/custom_progress_bar_horizontal</item>
    </style>



</resources>
